org.eclipse.emf.cdo

## Enum CDOState

- java.lang.Object
- - java.lang.Enum<CDOState>
  - - org.eclipse.emf.cdo.CDOState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CDOState>

      public enum CDOState
      extends java.lang.Enum<CDOState>

  Enumerates the possible states of local `objects`.
  Author:
    Eike Stepper
  No Extend
    This interface is not intended to be extended by clients.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLEAN`
    `CONFLICT`
    `DIRTY`
    `INVALID`
    `INVALID_CONFLICT`
    `NEW`
    `PREPARED` An intermediary state for internal use only.
    `PROXY`
    `TRANSIENT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLocal()`
    `boolean` | `isRemote()`
    `static CDOState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CDOState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRANSIENT

          public static final CDOState TRANSIENT

      Since:
        1.0

    - #### NEW

          public static final CDOState NEW

      Since:
        1.0

    - #### CLEAN

          public static final CDOState CLEAN

      Since:
        1.0

    - #### DIRTY

          public static final CDOState DIRTY

      Since:
        1.0

    - #### PROXY

          public static final CDOState PROXY

      Since:
        1.0

    - #### CONFLICT

          public static final CDOState CONFLICT

      Since:
        1.0

    - #### INVALID

          public static final CDOState INVALID

      Since:
        2.0

    - #### INVALID_CONFLICT

          public static final CDOState INVALID_CONFLICT

      Since:
        2.0

    - #### PREPARED

          public static final CDOState PREPARED

      An intermediary state for internal use only. This state marks the first of two phases during an attach operation.

  - ### Method Detail

    - #### values

          public static CDOState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOState c : CDOState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isLocal

          public final boolean isLocal()

      Since:
        4.6

    - #### isRemote

          public final boolean isRemote()

      Since:
        4.6

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html